LibreOffice LibreOffice 6.2 SDK API Reference

Public Member Functions | List of all members
XSAXDocumentBuilder Interface Reference

Builds a new dom tree. More...

`import"XSAXDocumentBuilder.idl";`

Inheritance diagram for XSAXDocumentBuilder:

## Public Member Functions
SAXDocumentBuilderState | getState ()
void | reset ()
XDocument | getDocument ()
XDocumentFragment | getDocumentFragment ()
void | startDocumentFragment ([in] XDocument ownerDoc)
void | endDocumentFragment ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Builds a new dom tree.

## Member Function Documentation

## ◆ endDocumentFragment()

void endDocumentFragment | ( |  | ) |

## ◆ getDocument()

XDocument getDocument | ( |  | ) |

## ◆ getDocumentFragment()

XDocumentFragment getDocumentFragment | ( |  | ) |

## ◆ getState()

SAXDocumentBuilderState getState | ( |  | ) |

## ◆ reset()

void reset | ( |  | ) |

## ◆ startDocumentFragment()

void startDocumentFragment | ( | [in] XDocument | ownerDoc | ) |

The documentation for this interface was generated from the following file:

- com/sun/star/xml/dom/XSAXDocumentBuilder.idl